-- Speaker analysis script
-- David Meeker
-- dmeeker@ieee.org
-- September 5, 2002

--number of turns in coil:
n=100;
--current in coil:
i=0.1;

maxsteps =2
stroke = 0.2

for k=0,maxsteps,1 do

	-- compute the offset that should be applied at this iteration
	dz=k*stroke/maxsteps 

	-- load the nominal speaker geometry
	open_femm_file("spkr.fem")

	-- move the coil to the prescribed offset
	seteditmode("group")
	selectgroup(1)
	move_translate(0,dz)	

	-- set the total amp*turns in the coil
	modifycircprop("Coil Amp Turns",1,n*i)

	-- save the results as some temporary file
	save_femm_file("temp.fem")
	-- run the solver
	analyse()
	
	-- write some values to disk that we want to pass to the postprocessor
	handle=openfile("tempfile","w");
	write(handle,dz,"\n");
	write(handle,n,"\n");
	write(handle,i,"\n");
	closefile(handle);

	-- and call the postprocessor.
	runpost("spkrp.lua")
end
	
-- clean up temporary files
execute("scrub.bat")
